Name:            sshutout
Version:         1.0.6
Release:         %mkrel 13
Summary:         Daemon to Stop SSH Dictionary Attacks
License:         GPLv2
Group:           System/Servers
URL:             http://www.techfinesse.com/sshutout/sshutout.html
Source0:         %{name}-%{version}.tar.gz
Source1:         %{name}.service
Source2:         %{name}.sysconfig
Source3:         %{name}.logrotate
Patch0:          sshutout-1.0.4-mga_conf.patch
Requires(post):  rpm-helper
Requires(preun): rpm-helper
Requires:        openssh-server
Requires:        iptables
Requires:        syslog-daemon

%description
This is a Linux daemon, that periodically monitors log
files looking for multiple failed login attempts via the Secure Shell
daemon (sshd, or optionally, sshd2). The daemon is meant to mitigate
what are commonly known as "dictionary attacks," i.e. scripted brute
force attacks that use lists of user ID's and passwords to effect
unauthorized intrusions. Typically such attacks fill the system logs
with hundreds or even thousands of log entries for the failed login
attempts. Aside from the nuisance of wasted space, wasted bandwidth,
and reduced signal to noise ratio in the logs, the attacks can pose a
real danger to systems with weak ID and password combinations.

The sshutout daemon blunts such attacks by creating firewall rules to
block individual offenders from accessing the system. These rules are
created when an attack signature is detected, and after a configurable
expiry interval has elapsed, the rules are deleted.

While sshutout can help reduce the severity and impact of dictionary
attacks, it is by no means a substitute for a good password policy. A
password policy is the front line of defense against intrusion and
should be given careful consideration. The sshutout daemon is merely
one small tool intended to help reduce log clutter and diminish the
incentive to mount dictionary attacks.

%prep
%setup -q
%autopatch -p1

%build
%{make} COMPILE="%{optflags}" LD_OPT=""

%install

%{__mkdir_p} %{buildroot}%{_sbindir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__mkdir_p} %{buildroot}%{_sysconfdir}/logrotate.d
%{__mkdir_p} %{buildroot}%{_mandir}/man8
%{__mkdir_p} %{buildroot}%{_logdir}

%{__install} -p -m 0755 %{name} %{buildroot}%{_sbindir}/
%{__install} -p -m 0644 %{name}.conf %{buildroot}%{_sysconfdir}/
%{__install} -p -m 0644 %{name}.8 %{buildroot}%{_mandir}/man8/

#migration to native systemd
%{__install} -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

%{__install} -p -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__install} -p -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}


# create ghostfiles
/bin/touch %{buildroot}%{_logdir}/%{name}.log

%post
%create_ghostfile %{_logdir}/%{name}.log root root 0644
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(0644,root,root,0755)
%doc License README sshutout.html
#migration to native systemd
%{_unitdir}/%{name}.service
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(0755,root,root) %{_sbindir}/*
%attr(0644,root,root) %{_mandir}/man8/*
%attr(0644,root,root) %ghost %config(noreplace) %{_logdir}/%{name}.log


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.0.6-13.mga10
+ Revision: 2195551
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 1.0.6-12.mga9
+ Revision: 1792375
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.6-11.mga8
+ Revision: 1517167
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.6-10.mga7
+ Revision: 1301171
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 1.0.6-9.mga6
+ Revision: 962928
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 tv <tv> 1.0.6-8.mga6
+ Revision: 894638
- do not strip thus fixing debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-7.mga5
+ Revision: 749579
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 eatdirt <eatdirt> 1.0.6-6.mga5
+ Revision: 738470
- Migration to native systemd service

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-5.mga5
+ Revision: 689324
- Mageia 5 Mass Rebuild

* Sun Oct 20 2013 umeabot <umeabot> 1.0.6-4.mga4
+ Revision: 536814
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 eatdirt <eatdirt> 1.0.6-3.mga4
+ Revision: 485692
- Added missing BR to syslog-daemon

* Mon Jan 14 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 382658
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 15 2011 bcornec <bcornec> 1.0.6-1.mga2
+ Revision: 181780
- Upload from Mandriva and update to 1.0.6 of sshutout
- Created package structure for sshutout.

